using System;

namespace Websocket.Client.Models
{
	public class ReconnectionInfo
	{
		public ReconnectionInfo(ReconnectionType type)
		{
			this.Type = type;
		}

		public ReconnectionType Type { get; }

		public static ReconnectionInfo Create(ReconnectionType type)
		{
			return new ReconnectionInfo(type);
		}
	}
}
